
QGIS Application - Bug report #17339

When using rule based labels the caption cannot be centred on a polygon feature

2017-10-27 07:28 AM - Patrick Dunford

Status: Feedback

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Debian 9.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25236

Description

I have a few layers with polygons that use a caption with a single letter. When the layer has just a single label for every polygon then I can

centre the label and it looks good. If I switch the layer to use rule based captioning the label cannot be centered. See the sample photos

attached.

History

#1 - 2017-10-27 09:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

Are the labels centered in the canvas?

#2 - 2017-10-27 10:26 AM - Patrick Dunford

No the same problem on the canvas

#3 - 2017-10-27 10:33 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Map Composer/Printing to Labelling

#4 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
